<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; background-repeat:repeat; background-repeat:repeat-x; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:10px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 #srchby{margin-left:20px; font-family:calibri; font-size:22px;}
 .date{margin:10 0 0 20px;}
 .rechreport{width:950px; height:40px; background:#996420; color:white; line-height:40px; margin-left:20px;}
 .rechreport p{margin-left:20px;}
 
#t1{ width:950px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }

#green{color:#19dc42; }
#red{color:red; }
#blue{color:blue; }

 .foot{float:left; margin:10 0 0 100px; width:1350px;}
 </style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	<h3 id="srchby">Search By</h3><hr>
	<div class="date">
	    <form method="post">
		From Date : <input type="date" name="fdate">
		To Date : <input type="date" name="ldate">
		Userid : <input type="number" name="user">
		<input type="submit" name="submit">
		</form>
	</div>
	<div class="rechreport">
		<p>Recharge History</p>
	</div>
	<table border="1" cellpadding="8" id="t1">
		<tr>
			<th>From Date</th>
			<th>To Date</th>
			<th>Userid</th>
			<th>Operator</th>
			<th>Recharge Amount</th>
			<th>Used Amount</th>
			<th>Tax Payble Amount</th>
			<th>IGST(18%)</th>
		</tr>
		<?php
			include'connection.php';
			$sl=0;
			
            $TotalPrepaidCount=0;
			$TotalPostpaidCount=0;
			$TotalRoundTotalRechPreDebitAmount=0;
			$TotalRoundGstPaybleAmount=0;
			$TotalRoundGST=0;
			
			if(isset($_POST['submit']))
			{
			    $fdate=$_POST['fdate'];
			    $ldate=$_POST['ldate'];
			    $User=$_POST['user'];
			    
			    $quPrepaidOpr="select * from operator where Serviceid='1' or Serviceid='2'";
                $rePrepaidOpr=mysqli_query($con,$quPrepaidOpr);
                while($dataPrepaidOpr=mysqli_fetch_array($rePrepaidOpr))
                {
                    $PrepaidCount=0;
			        
                    $PrepaidOpr=$dataPrepaidOpr['Operator'];
                    
			        $TotalRechPreDebitAmount=0;
                    $QUPrepaidTxn="select * from recharge where Status='SUCCESS' and Companyname='$PrepaidOpr' and Userid='$User' and Rechargedate>='$fdate' and Rechargedate<='$ldate'";
                    $RePrepaidTxn=mysqli_query($con,$QUPrepaidTxn);
                    while($DataPrepaidTxn=mysqli_fetch_array($RePrepaidTxn))
                    {   
                        $PrepaidAmount=$DataPrepaidTxn['Amount'];
                        $PrepaidCount=$PrepaidCount+$PrepaidAmount;
                        
                        $RechId=$DataPrepaidTxn['Id'];
                        $quPreDebitAmount="select Debit from wallet where Paynrechid='$RechId'";
                        $RePreDebitAmount=mysqli_query($con,$quPreDebitAmount);
                        $dataPreDebitAmount=mysqli_fetch_array($RePreDebitAmount);
                        $RechPreDebitAmount=$dataPreDebitAmount['Debit'];
                        $TotalRechPreDebitAmount=$TotalRechPreDebitAmount+$RechPreDebitAmount;
                    }
                    
                    if($PrepaidCount>0)
                    {
                        $RoundTotalRechPreDebitAmount=number_format($TotalRechPreDebitAmount,2,'.','');
                        $GstPaybleAmount=$RoundTotalRechPreDebitAmount*100/118;
                        $RoundGstPaybleAmount=number_format($GstPaybleAmount,2,'.','');
                        $GST=$RoundGstPaybleAmount*18/100;
                        $RoundGST=number_format($GST,2,'.','');
			    	    echo "<tr>";
    					    echo "<td>".$fdate."</td>";
    					    echo "<td>".$ldate."</td>";
    					    echo "<td>".$User."</td>";
    					    echo "<td>".$PrepaidOpr."</td>";
    					    echo "<td>".$PrepaidCount."</td>";
    					    echo "<td>".$RoundTotalRechPreDebitAmount."</td>";
    					    echo "<td>".$RoundGstPaybleAmount."</td>";
    					    echo "<td>".$RoundGST."</td>";
				        echo "</tr>";
				    
			            $TotalPrepaidCount = $TotalPrepaidCount+$PrepaidCount;
			            $TotalRoundTotalRechPreDebitAmount=$TotalRoundTotalRechPreDebitAmount+$RoundTotalRechPreDebitAmount;
			            $TotalRoundGstPaybleAmount=$TotalRoundGstPaybleAmount+$RoundGstPaybleAmount;
			            $TotalRoundGST=$TotalRoundGST+$RoundGST;
                    }
			    }
			    
			    echo "<tr>";
		        	echo"<th>From Date</th>";
			        echo"<th>To Date</th>";
			        echo"<th>Userid</th>";
		        	echo"<th>Operator</th>";
		        	echo"<th>Total Prepaid Amount</th>";
		        	echo"<th>Total Used Amount</th>";
		        	echo"<th>Total Payble Amount</th>";
		        	echo"<th>Total GST</th>";
	        	echo "</tr>";
		    	echo "<tr>";
    					echo "<td>".$fdate."</td>";
    					echo "<td>".$ldate."</td>";
    					echo "<td>".$User."</td>";
    					echo "<td>All Prepaid</td>";
    					echo "<td>".$TotalPrepaidCount."</td>";
    					echo "<td>".$TotalRoundTotalRechPreDebitAmount."</td>";
    					echo "<td>".$TotalRoundGstPaybleAmount."</td>";
    					echo "<td>".$TotalRoundGST."</td>";
				echo "</tr>";
				echo "<tr>";
		        	echo"<th>From Date</th>";
			        echo"<th>To Date</th>";
			        echo"<th>Userid</th>";
		        	echo"<th>Operator</th>";
		        	echo"<th>Recharge Amount</th>";
	        	echo "</tr>";
				$quPostpaidOpr="select * from operator where Serviceid='3'";
                $rePostpaidOpr=mysqli_query($con,$quPostpaidOpr);
                while($dataPostpaidOpr=mysqli_fetch_array($rePostpaidOpr))
                {
                    $PostpaidCount=0;
                       
                    $PostpaidOpr=$dataPostpaidOpr['Operator'];
                    
                    $QUPostpaidTxn="select * from recharge where Status='SUCCESS' and Companyname='$PostpaidOpr' and Userid='$User' and Rechargedate>='$fdate' and Rechargedate<='$ldate'";
                    $RePostpaidTxn=mysqli_query($con,$QUPostpaidTxn);
                    while($DataPostpaidTxn=mysqli_fetch_array($RePostpaidTxn))
                    {   
                        $PostpaidAmount=$DataPostpaidTxn['Amount'];
                        $PostpaidCount=$PostpaidCount+$PostpaidAmount;
                    }
                    if($PostpaidCount>0)
                    {
			    	    echo "<tr>";
    					    echo "<td>".$fdate."</td>";
    					    echo "<td>".$ldate."</td>";
    					    echo "<td>".$User."</td>";
    					    echo "<td>".$PostpaidOpr."</td>";
    					    echo "<td>".$PostpaidCount."</td>";
				        echo "</tr>";
				        
			            $TotalPostpaidCount = $TotalPostpaidCount+$PostpaidCount;
                    }
			    }
			    if($PostpaidCount>0)
			    {
			        echo "<tr>";
		        	    echo"<th>From Date</th>";
			            echo"<th>To Date</th>";
			            echo"<th>Userid</th>";
		        	    echo"<th>Operator</th>";
		        	    echo"<th>Total Postpaid Amount</th>";
	        	    echo "</tr>";
		    	    echo "<tr>";
    				    	echo "<td>".$fdate."</td>";
    				    	echo "<td>".$ldate."</td>";
    				    	echo "<td>".$User."</td>";
    				    	echo "<td>All Prepaid</td>";
    				    	echo "<td>".$TotalPostpaidCount."</td>";
				    echo "</tr>";
			    }
			}
		?>
	</table>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>